= nng_pipe_listener(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_pipe_listener - return listener that created pipe

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

nng_listener nng_pipe_listener(nng_pipe p);
----

== DESCRIPTION

The `nng_pipe_listener()` function returns the xref:nng_listener.5.adoc[`nng_listener`]
that created the pipe _p_.
If the pipe was not created by a listener, then the returned value will
have an identifier (xref:nng_listener_id.3.adoc[`nng_listener_id()`]) of `-1`.

== RETURN VALUES

This function returns the listener that created the pipe, unless it was
not created by a listener, in which case a value initialized with
`NNG_LISTENER_INITIALIZER` will be returned.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_pipe.5.adoc[nng_pipe(5)],
xref:nng_listener.5.adoc[nng_listener(5)],
xref:nng.7.adoc[nng(7)]
